# AioTapioca-Wrapper

[![Join the chat at https://gitter.im/ilindrey/aiotapioca-wrapper](https://badges.gitter.im/ilindrey/aiotapioca-wrapper.svg)](https://gitter.im/ilindrey/aiotapioca-wrapper?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge)
[![Build Status](https://travis-ci.org/vintasoftware/tapioca-wrapper.svg?branch=master)](https://travis-ci.org/vintasoftware/tapioca-wrapper)
[![Coverage Status](https://coveralls.io/repos/ilindrey/aiotapioca-wrapper/badge.svg?branch=master&service=github)](https://coveralls.io/github/vintasoftware/tapioca-wrapper?branch=master)
[![Current version at PyPI](https://img.shields.io/pypi/v/aiotapioca-wrapper.svg)](https://pypi.python.org/pypi/aiotapioca-wrapper)
[![Supported Python Versions](https://img.shields.io/pypi/pyversions/aiotapioca-wrapper.svg)](https://pypi.python.org/pypi/aiotapioca-wrapper)
[![Downloads](https://pepy.tech/badge/aiotapioca-wrapper)](https://pepy.tech/project/aiotapioca-wrapper)
[![GitHub license](https://img.shields.io/badge/license-MIT-blue.svg)](https://raw.githubusercontent.com/vintasoftware/tapioca-wrapper/master/LICENSE)
[![Codestyle](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)

It's an asynchronous fork of [tapioca-wrapper](https://github.com/vintasoftware/tapioca-wrapper) library.

![](docs/static/aiologo.png)

Tapioca helps you generating Python clients for APIs.
APIs wrapped by Tapioca are explorable and follow a simple interaction pattern that works uniformly so developers don't need to learn how to use a new coding interface/style for each service API.

## Documentation

Full documentation hosted by [readthedocs](http://aiotapioca-wrapper.readthedocs.org/).

## Flavours

You can find the full list of available tapioca clients [here](http://aiotapioca-wrapper.readthedocs.org/en/stable/flavours.html).

To create new flavours, refer to [Building a wrapper](http://aiotapioca-wrapper.readthedocs.org/en/stable/buildingawrapper.html) in the documentation. There is also a [cookiecutter template](https://github.com/vintasoftware/cookiecutter-tapioca) to help bootstraping new API clients.


## Other resources

- [Contributors](https://github.com/ilindrey/aiotapioca-wrapper/graphs/contributors)
- [Changelog](http://aiotapioca-wrapper.readthedocs.org/en/stable/changelog.html)
- [Blog post explaining the basics about Tapioca](http://www.vinta.com.br/blog/2016/python-api-clients-with-tapioca/)
